import 'dart:convert';
import 'package:http/http.dart' as http;

import '../provider/data.dart';

class Api {
  static Future<void> updateApiStatus(Data myProvider) async {
    final response = await http.get(Uri.http(myProvider.apiHost, 'status'));

    String responseData = utf8.decode(response.bodyBytes);
    Map<String, dynamic> status = json.decode(responseData);

    myProvider.updateApiStatus(status['status']);
  }

  static Future<void> move(Data myProvider, String direction) async {
    final response = await http.get(Uri.http(myProvider.apiHost, direction));

    String responseData = utf8.decode(response.bodyBytes);
    Map<String, dynamic> result = json.decode(responseData);

    myProvider.updateApiStatus(result['result']);
  }
}
